Get secret value
curl --request GET \
--url https://api.example.com/governance/resources/{resource_type}/{resource_id}/secrets/{secret_name} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/governance/resources/{resource_type}/{resource_id}/secrets/{secret_name}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/governance/resources/{resource_type}/{resource_id}/secrets/{secret_name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"value": "<string>"
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}secrets
Get secret value
Retrieves the actual secret value for a specific secret by name. This endpoint returns sensitive data and requires read permissions on the secret. The secret value is returned as stored in Infisical.
GET
/
governance
/
resources
/
{resource_type}
/
{resource_id}
/
secrets
/
{secret_name}
Get secret value
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Path Parameters
Type of resource the secret belongs to
Unique identifier of the resource containing the secret
Name of the secret to retrieve
Was this page helpful?
⌘I

